%global pkgname PottyMouth
Name:		python-pottymouth		
Version:	2.2.1
Release:	7%{?dist}
Summary:	Transform unstructured, untrusted text to safe, valid XHTML
Group:		Development/Languages
License:	BSD	
URL:		http://glyphobet.net/pottymouth/dist/
Source0:	http://glyphobet.net/pottymouth/dist/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python2
BuildRequires:	python2-devel
BuildRequires:	python-setuptools	



%description
PottyMouth transforms completely unstructured and untrusted text to 
valid, nice-looking, completely safe XHTML

PottyMouth is designed to handle input text 
from non-technical, potentially careless or malicious users 
It produces HTML that is completely safe, 
programmatically and visually, to include on any web page 
And you don't need to make your users read any instructions 
before they start typing
They don't even need to know that 
PottyMouth is being used

%prep
%setup -q -n %{pkgname}-%{version}
#Remove bundled egg-info
rm -rf %{pkgname}.egg-info
chmod -x profile.py pottymouth.py tests.py LICENSE.txt readme.html

%build
python setup.py build

%check
%{__python} setup.py test

%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT

%files 

%doc LICENSE.txt
%{_defaultdocdir}/python-pottymouth/readme.html
%{_defaultdocdir}/python-pottymouth/LICENSE.txt
%{_defaultdocdir}/python-pottymouth/tests.py
%{_defaultdocdir}/python-pottymouth/tests.pyc
%{_defaultdocdir}/python-pottymouth/tests.pyo
%{_defaultdocdir}/python-pottymouth/web.py
%{_defaultdocdir}/python-pottymouth/web.pyc
%{_defaultdocdir}/python-pottymouth/web.pyo
%{_defaultdocdir}/python-pottymouth/profile.py
%{_defaultdocdir}/python-pottymouth/profile.pyc
%{_defaultdocdir}/python-pottymouth/profile.pyo
%{python_sitelib}/PottyMouth-2.2.1-py2.7.egg-info
%{python_sitelib}/pottymouth.pyc
%{python_sitelib}/pottymouth.pyo
%attr(0755,root,root) %{python_sitelib}/pottymouth.py

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 22 2012 Eduardo Echeverria <echevemaster@gmail.com> - 2.2.1-3
- Remove bundled egg-info in prep section
- Remove provides section 
- Remove dots in the description

* Thu Sep 13 2012 Eduardo Echeverria <echevemaster@gmail.com> - 2.2.1-2
- Remove defattr in section files
- Remove bit executable in doc files in section prep

* Tue Sep 11 2012 Eduardo Echeverria <echevemaster@gmail.com> - 2.2.1-1
- initial packaging
